Denial of service in VMware products



Published: 2020-12-21
Risk Low
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2020-3999
CWE-ID CWE-476
Exploitation vector Local
Public exploit N/A
Vulnerable software
Subscribe
VMware ESXi
Operating systems & Components / Operating system

VMware Workstation
Client/Desktop applications / Virtualization software

VMware Fusion
Client/Desktop applications / Virtualization software

Vendor VMware, Inc

Security Bulletin

This security bulletin contains one low risk vulnerability.

1) NULL pointer dereference

EUVDB-ID: #VU49098

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2020-3999

CWE-ID: CWE-476 - NULL Pointer Dereference

Exploit availability: No

Description

The vulnerability allows a local user to perform a denial of service (DoS) attack.

The vulnerability exists due to a NULL pointer dereference error in the SetGuestInfo call. A local user can pass specially crafted data to the application and perform a denial of service (DoS) attack.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

VMware ESXi: 7.0 - ESXi70U1b-17168206

VMware Workstation: 15.0.0 - 15.5.6

VMware Fusion: 11.0.0 - 11.5.6


CPE2.3 External links

http://www.vmware.com/security/advisories/VMSA-2020-0029.html

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###